Skip to content

Add a sender identity on a sending domain

POST
/api/v1/workspaces/{workspace}/senders
curl --request POST \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/senders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "defaultFor": [ "broadcast" ], "email": "example", "name": "example", "notUsedWith": [ "example" ], "note": "example", "replyTo": "example" }'

Permission: domains:manage (sensitive)

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

Media typeapplication/json
object
defaultFor

Transactional needs a sender on a Transactional domain

Array<string>
Allowed values: broadcast automation system transactional
email

Required when creating; the address can’t change later

string
<= 254 characters
name
required
string
>= 1 characters <= 120 characters
notUsedWith
Array<string>
note

Shown when the sender is no stream’s default, e.g. personal sends

string
<= 120 characters
replyTo
string
<= 254 characters

Created

Media typeapplication/json
object
defaultFor
required
Array<string>
domain
required
string
domainId
required
string
email
required
string
id
required
string
name
required
string
note
required
string
pending
required
boolean
replyTo
required
string
smtpRelay
required
boolean
transactional
required
boolean
verification
required
Array<object>
object
providerId
required
string
status
required
string
Allowed values: verified pending failed not_set_up not_used
text
required
string

Example

{
"verification": [
{
"status": "verified"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}